Bug 1192122 - Switch totem to Python 3
Summary: Switch totem to Python 3
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: totem
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-12 16:20 UTC by Bohuslav "Slavek" Kabrda
Modified: 2016-09-21 16:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-21 16:11:40 UTC


Attachments (Terms of Use)

Description Bohuslav "Slavek" Kabrda 2015-02-12 16:20:53 UTC
Hi, as per [1], I'd like to ask you to switch to building with Python 3. totem upstream is Python 3 compatible, so this should be a simple matter of switching from Python 2 to Python 3. Please do this for both F22 and rawhide. Feel free to contact me if you need help.
Note: the only thing causing dependency of Python 2 is the "#!/usr/bin/python" hashbang in one or more scripts - you should just replace it with "#!/usr/bin/python3".
Thanks.

[1] https://fedoraproject.org/wiki/Changes/Python_3_Migration_Improvements

Comment 1 Bohuslav "Slavek" Kabrda 2015-02-18 10:09:49 UTC
Hi, can you please do this before the deadline for Changes for F22? Otherwise we'd probably have to postpone even https://fedoraproject.org/wiki/Changes/Python_3_Migration_Improvements. Thanks.

Comment 2 Bastien Nocera 2015-02-18 11:49:52 UTC
Was done upstream. The plugins already use Python3.

commit c36121418b09b36634965b6dc08f046b50cb8cf0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 17 12:36:27 2015 +0100

    data: Remove outdated bug report helper script
    
    It uses Python2, and GStreamer 0.10. Both are obsolete.

Comment 3 Bohuslav "Slavek" Kabrda 2015-02-18 12:06:46 UTC
Yeah, but the latest totem RPM built for F22 [1] still depends on /usr/bin/python (which will keep pointing to Python 2 as per the approved change). This means that there's a file that has #!/usr/bin/python hashbang and RPM generates this auto dependency from it. Could you please switch this to #!/usr/bin/python3?
Thanks.

[1] http://koji.fedoraproject.org/koji/rpminfo?rpmID=5956333

Comment 4 Bastien Nocera 2015-02-18 12:22:50 UTC
(In reply to Bohuslav "Slavek" Kabrda from comment #3)
> Yeah, but the latest totem RPM built for F22 [1] still depends on
> /usr/bin/python (which will keep pointing to Python 2 as per the approved
> change). This means that there's a file that has #!/usr/bin/python hashbang
> and RPM generates this auto dependency from it. Could you please switch this
> to #!/usr/bin/python3?
> Thanks.
> 
> [1] http://koji.fedoraproject.org/koji/rpminfo?rpmID=5956333

It's done upstream. It will get in Fedora when it gets into Fedora.

Comment 5 Bohuslav "Slavek" Kabrda 2015-02-18 12:36:49 UTC
Ah, I didn't know that the hashbang is fixed upstream as well. (I'm not sure where the official totem's git repo is, since I couldn't find the commit you referenced at [1])

Thanks a lot.

[1] https://git.gnome.org/browse/totem/log/

Comment 6 Bastien Nocera 2015-06-01 16:25:13 UTC
(In reply to Bohuslav "Slavek" Kabrda from comment #5)
> Ah, I didn't know that the hashbang is fixed upstream as well. (I'm not sure
> where the official totem's git repo is, since I couldn't find the commit you
> referenced at [1])
> 
> Thanks a lot.
> 
> [1] https://git.gnome.org/browse/totem/log/

That's the commit:
https://git.gnome.org/browse/totem/commit/?id=c36121418b09b36634965b6dc08f046b50cb8cf0

Comment 7 Robert Kuska 2015-07-03 07:52:47 UTC
System wide change to make LiveCD Python3 only was accepted by FESCO please switch totem to use Python3 for Fedora23.

I am re-opening this bug as it was filed against totem in Fedora, not for upstream.

Comment 8 Miro Hrončok 2015-07-13 15:16:23 UTC
I see totem-1:3.16.2 in rawhide, which should include that commit and also, this test onl show Python 3 related dependencies:

$ repoquery --requires totem --releasever rawhide | grep py
libpeas-loader-python3(x86-32)
python3-gobject
libpeas-loader-python3(x86-64)

Other subpackages show nothing.

I suppose we could close this, is that right?

Comment 9 Miro Hrončok 2015-07-17 09:40:48 UTC
Bastien, please just give me a confirmation that this works with Python 3 and that we can close this.

Comment 10 Miro Hrončok 2015-07-26 21:32:18 UTC
OK, switching to MODIFIED, as it appears to be fixed, but nobody actually knows, if it works.

Comment 11 Bastien Nocera 2016-09-21 16:11:40 UTC
Pretty sure this is fixed now.


Note You need to log in before you can comment on or make changes to this bug.